Subject: Re: bug#65924: git searches coreutils and util-linux commands in PATH

From: [email-masked]
Date: Mon, 9 Oct 2023 23:03:00 +0200

Hi,

On +2023-10-09 20:33:38 +0200, Liliana Marie Prikler wrote:
> Am Montag, dem 09.10.2023 um 14:21 -0400 schrieb Maxim Cournoyer:
> > Hello,
> > 
> > Liliana Marie Prikler <[email-masked]> writes:
> > 
> > > [...]
> > > If you need me to reduce it to four letters, yes, LGTM.
> > 
> > Explicit is better than implicit.  I've been thinking to document
> > this in our contributing section; e.g. a reviewed commit must have
> > the 'LGTM' from the reviewer.  If a series is LGTM, it needs to be
> > implicitly mentioned with 'this series LGTM'.  That may sound silly,
> > but I think it'd simplify reviewer/submitters interactions.
> s/implicitly/explicitly/?
> 
> I don't necessarily agree, but it's not a hard disagree either.  I'll
> try to keep that in mind at least when reviewing your patches to not
> cause confusion.
> 
> Cheers
>

TL;DR: Would it make sense to anticipate that LLM-bots will be used
to automate gathering of info for reviewers?

If so, what would a style guide for english in posts (like
a coding style guide, but for LLM-bot consumption) look like?
Some kind of literate programming for LLM-bot and human use?

(I assume experiments have been going on by now, though perhaps
not yet for guile or guix)
--
Regards,
Bengt Richter